Page MenuHomePhabricator

Worldpay frontend donation missing payment_method
Closed, ResolvedPublic2 Story Points

Description

Very strange failmail just came through, looks like something in the session was stale, which is consistent with the fact that it came in hours after the campaign went down. No other log entries for this ID, though.

referrer: https://payments.wikimedia.org/index.php?title=Special:WorldpayGateway&appeal=JimmyQuote&ffname=wp-if&recurring=&utm_medium=sitenotice&utm_campaign=C1516_frFR_dsk_hi_FR&utm_source=B1516_1019_frFR_dsk_p1_lg_dsn_ppl_blk.no-LP.cc&language=fr&country=FR&currency_code=EUR&utm_key=1&payment_method=cc&frequency=onetime&amount=10&amountGiven=&uselang=fr&gateway=worldpay
txn_id: 28438387

This one came in through /job/Donations queue consume/375435/consoleFull and by that point, payment_method was empty and payment_submethod=cb.
In the payments logs, at Oct 19 21:55:26.

Event Timeline

awight created this task.Oct 19 2015, 10:09 PM
awight raised the priority of this task from to High.
awight updated the task description. (Show Details)
awight added subscribers: Aklapper, atgo, cwdent and 2 others.
atgo lowered the priority of this task from High to Normal.Oct 20 2015, 5:39 PM
atgo lowered the priority of this task from Normal to Low.
atgo set Security to None.

Is this actually blocking the campaign?

cwdent raised the priority of this task from Low to High.Oct 22 2015, 3:52 PM

Three of these have come in so far this morning, so I bumped priority and added to the sprint. Feel free to fight me on this, it's affecting very few donors, but it's bad breakage when it does.

We just turned the campaign on, so probably a good thing to address before
it effects more people.

awight raised the priority of this task from High to Unbreak Now!.Oct 23 2015, 8:20 AM
cwdent closed this task as Resolved.Oct 23 2015, 5:44 PM
cwdent claimed this task.

This has 2 lines of defense now: https://gerrit.wikimedia.org/r/#/c/248259/ & https://gerrit.wikimedia.org/r/#/c/248259/

Waiting to see if the few we missed will show up in audit files

Will reopen if we see dem failmails

cwdent edited a custom field.
mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJun 22 2017, 9:44 PM